yetus-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From a.@apache.org
Subject [1/2] yetus git commit: YETUS-67. XML plugin raises a false alarm against a removed file
Date Sat, 10 Oct 2015 16:00:30 GMT
Repository: yetus
Updated Branches:
  refs/heads/master 82b4d0a54 -> c44fd145c


YETUS-67. XML plugin raises a false alarm against a removed file

Signed-off-by: Allen Wittenauer <aw@apache.org>


Project: http://git-wip-us.apache.org/repos/asf/yetus/repo
Commit: http://git-wip-us.apache.org/repos/asf/yetus/commit/0cd32604
Tree: http://git-wip-us.apache.org/repos/asf/yetus/tree/0cd32604
Diff: http://git-wip-us.apache.org/repos/asf/yetus/diff/0cd32604

Branch: refs/heads/master
Commit: 0cd326049c7b91daa63f88c90e37e2208a733c43
Parents: 82b4d0a
Author: Kengo Seki <sekikn@gmail.com>
Authored: Sun Oct 11 00:10:10 2015 +0900
Committer: Allen Wittenauer <aw@apache.org>
Committed: Sat Oct 10 08:57:49 2015 -0700

----------------------------------------------------------------------
 dev-support/test-patch.d/xml.sh | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/yetus/blob/0cd32604/dev-support/test-patch.d/xml.sh
----------------------------------------------------------------------
diff --git a/dev-support/test-patch.d/xml.sh b/dev-support/test-patch.d/xml.sh
index b59df5c..29df165 100755
--- a/dev-support/test-patch.d/xml.sh
+++ b/dev-support/test-patch.d/xml.sh
@@ -53,12 +53,11 @@ function xml_postcompile
 
   pushd "${BASEDIR}" >/dev/null
   for i in ${CHANGED_FILES}; do
-    if [[ ! ${i} =~ \.xml$ ]]; then
-      continue
-    fi
-    ${js} -e "XMLDocument(arguments[0])" "${i}" >> "${PATCH_DIR}/xml.txt" 2>&1
-    if [[ $? != 0 ]]; then
-      ((count=count+1))
+    if [[ ${i} =~ \.xml$ && -f ${i} ]]; then
+      ${js} -e "XMLDocument(arguments[0])" "${i}" >> "${PATCH_DIR}/xml.txt" 2>&1
+      if [[ $? != 0 ]]; then
+        ((count=count+1))
+      fi
     fi
   done
 


Mime
View raw message